AutoCAD Inventor :: How To Create Path (from Sktech3D) As In Input To Add Using Path
Feb 9, 2012
Actually, I have more than 6 years experience on Catia V5 customization and vb and vb.net catia API's. What I am trying to do know is converting some applications or programs running on catia to the inventor.
The first program deal with the inventor API relating to the SweepFeatures class. So my first problem is about to find the right way to use the sketch3D for the creation of the path which is the input of the sweep method.
I know That is possible to create a path by using the CreatePath method when the input is SketchLines or any guide curve in the 2D Plan. Also, I tried to generate path by using the ProfilePath3D method of the sketch3D class but No way, the AddUsingPath method of the SweepFeatures Class doesn't accept it as path Input.
So I cannot imagine that is limitation of inventor because it was possible to do it by using the seep function of the model tab in the ipart document. How to create the path object as an input of the AddUsingPath method of the SweepFeatures class.
I have some negative space I created(black area, see first image) that I want to fill with type, not just a simple fill.
Basically I want to create the negative space from a bunch of small minus signs(-) that need to line up as they go across. If I type on each path one at a time as the text doesn't line up that way. This needs to be one continuous path. (see second image)
Unfortunately if I add them together, it creates a compound path, which you cannot type on, unless I am mistaken? So I need them to be a path, not a compound object.
I want to be able to transpose the perspective of the existing image to my new 3D prism shape.Why can't I create a path.. and then drag nodes on that path.. and warp the pixels at the same time???
It shouldn't apply to just 3d.. because I should be able to draw a rigid path around anything and warp / stretch the image from those points.
I tried to make rectangle and get into create path.but i don;'t know hot to.First I made Rectangle
Dim Rectangle as SketchEntityEmulator Dim SplitPath as path Set Rectangle = SketchPlane.SketchLines.AddAsTowPointRectangle(Point1, Point2) then I tried Rectagle into Path PartDef.Features.CreatePath(Rectangle)
But There is a error...How i make Path from Rectangle? then I tried to SplitFaces.
I Got Face from HoleFeature. I Got Face like this. Dim oFace as Face Set oFace = HoleFeature.Faces.Item(1) and For Split I Add Face to FaceCollection like this Dim oFaceCollection as ObjecCollection Set oFaceCollection = ThisApplication.TransientObjects.CreateObjectCollection [code]....
I've read the posts pertaining to coil features along curved paths. The existing solutions are limited in that they must rely on a solid with the addition of a bend feature. How can I create a helical surface structure including multiple bends like the one shown?
I have many drawings that were created with the xref's as full path and I need them to be relative path. I would just go in and reatch them as relative path but the drawings are complete and there are different layers frozen in each one.
I have found a way to convert FULL to RELATIVE using XRP2004.lsp but not the other way round. Main reason I want to do this is to change the Relative to Full, move the drawing and then revert them back to Relative.
I am attaching a File as a xRef. At the time of Attachment, I select attach as attachment, and No Path in Path.
Now if I try to fetch detail of this file using MdiActiveDocument.Database and BlockTableRecord, I gets only file name not the path. However, In AutoCAD we can see the file path under "Found At". Can we read / fetch this using C#.
In case of Full Path or relative Path, I gets full path in btr.PathName
Here is my code and I am using AutoCAD 2013
Database db = acadApp.DocumentManager.MdiActiveDocument.Database; using (Transaction Trans = db.TransactionManager.StartTransaction()) { BlockTable BlkTbl = (BlockTable)Trans.GetObject(db.BlockTableId, OpenMode.ForRead,false,true); db.ResolveXrefs(false, false);
When creating a work path on a new layer, the path is a grayish black color is there a way to create that path to be a different color, yellow for instance? Using CS6, I don't see it in preferences anywhere
I'm trying to stroke my work path with a brush I tailored myself. now, when I create a workpath from my text layer and switch to my top layer to try and choose 'stroke path' the option is shaded out.
I have a bunch of material libraries that need to be re-pathed as I have moved my textures, the Bitmap/Photometric paths editor has a tickbox that says "include material library" which leads me to believe that it will list, for re-pathing, all materials in my library.
However, it doesn't seem to do anything for me even though the library i need to re-path is loaded into my Material/map browser.
I've tried every permutation of copy and paste; I renamed the path to path. It looks like a path when I add stroke, but it does not behave like one. I can't cut it or join it to any other path. It remembers it's text path status. I'm running OS X 10.7.5.
I accidentally converted a path to a text path. I searched the forum for how to convert it back to a regular path. The answer I found said to select the path and hit Command+C+F. This gives me another text path! I now have at least 6 copies of the path in my files but they are ALL text paths and none are visible with a stroke.
I'm trying about 8 hours to convert a Photoshop shape in to a working path in order to put a brush border around it. I don't understand why the "stroke path with brush" is grayed out and not usable directly on the shape path itself.
"Load path from selection" is not an option because it deforms my path.
Why the "Text along path" feature hovers the text so far above the currently active path? (in my case, the space between the path and the text is about 3 times the height of the currently used font!). I've been told that the letters should lie on top of or at least closer to the path instead. How can I move the text closer to the path?
I've got two paths. They don't intersect, exactly, a straight path ends at a curved path, but I need the end of the straight path to be curved, to make it look like the two meet perfectly. The two gray paths (a single path, then path->offset for the second) are the outside of a shield shape. The two black lines (paths) just surround text, but currently they overlap the gray paths.
Having made a (ex circular) closed path within a (ex square) path, I want to turn this into a selection in which the inner circle is omitted from the selection. But when choosing "Make Selection", only the first option,"New Selection" is available, the other three are grey (Add to, Subtract from and Intersect).
I'm wasting time having to place my image in Illustrator then manually line up the clipping path. You used to be able to save a file with a clipping path as an EPS in photoshop, select "retain vector data", place in illustrator and hit cmd Y to see the clipping path. I need the image and the clipping path in Illustrator and the image is too complex to create a mask in Illustrator. I tried to save it as an EPS but "retain vector data" is grayed out.
I need to create a 3D model of a segment of a jogging path/trail that has a drainage feature called a knick. I pasted a freehand drawing of what a knick looks like below this post. It's a semi-circular area that slopes to one side at a small angle on a trail that is otherwise flat. I need a model of a trail segment with two of these sloping indentations that is just a smooth, gray object- nothing fancy. I managed to create a simple 3D model for a second trail design that has a slope to one side throughout the trail- made a box with a tapered edge and rendered it gray.
Since to my eye a knick looks like a lemon wedge indented into the face of a box- that's what I've been working towards. Made a box, made a cylinder, moved the cylinder so half of its base sits on top of the box face on which I want the indentation, and then used pushpull and subtract to take out a shallow semi-circular cut off the top of the box (did two of these about 20 units apart on the same face).
Here is where I ran into my own limitations. I don't know how to taper the semicircular cut so that it actually slopes off the face to the edge and doesn't look like a clean cut depression. I need it to slope to the edge at a 2% angle. I've tried tapering many times, but I don't think I completely understand the concept of the tapering axis (or rather I know that I completely misunderstand it) because all I end up doing is tapering the various faces of the box and the knick cut stays the same. I also tried out all the tools on the ribbon that look like they can be used for filling in or smoothing edges, but without any luck. Or should I be approaching the process of making the knick from a completely different set of commands?
Is there a plugin for creating text that follows a path created by the user? I understand how to arch text. That isn't working for my project. I need to plot a path and let the text follow it.
I'm trying to create a compound path in AI CS4 for Mac, but I have not been successful. What is best way to create a compound path using the SDK? I just need to make a compound path out of two non-overlapping rectangles so that I can create a clipping mask. Nothing tricky.
The SDK is not clear about the best way to go about creating a compound path, but I figured that programmitically selecting the two rectanlges and then using the built in "adobe_makeCompound" action would work, but it doesn't.
When the above code is called while I'm debugging, I get a dialog box that reads: The object "Make Compound Path" is not currently available.
If I click the "Stop" button while debugging, the value of err is 1346458189 which is 'PARM'. So, maybe I need to set a parameter? The crazy thing is that there appears to be no parameters needed for the "adobe_makeCompound" action event. When I created the action manually, the resulting .aia file (see its contents below) has a parameterCount == 0. I've tried passing a parameter block without adding any parameters to it (instead of NULL), but still no joy.